组件通行或者全局通信的消息组件

## 使用
1、引入组件到```pubspec.yaml```文件中

```yaml
dependencies:
  flutter:
    sdk: flutter
  clx_notification_center:
    git:
      url: https://t.clxkj.cn/openSourceLibrary/clx_notification_center.git
```

2、在需要使用的```Widget```中引入```clx_notification_center```组件

```dart
import 'package:clx_notification_center/clx_notification_center.dart';
```

3、使用```defaultNotificationCenter```的几个方法
```dart
// 注册监听
defaultNotificationCenter.registerNotification(name: 'test', callback: (data) {
  print('收到消息：$data');
});

// 发送消息
defaultNotificationCenter.sendNotification(name: 'test', data: 'hello world');

// 移除监听
defaultNotificationCenter.removeNotification(name: 'test', callback: (data) {
  print('收到消息：$data');
});

// 移除事件监听
defaultNotificationCenter.removeNotificationServer(name: 'test');

// 移除所有监听
defaultNotificationCenter.removeAllNotification();
```
