import 'clx_notification_message.dart';
import 'clx_notification_name.dart';

typedef CLXNotificationChannel = Future Function(CLXNotificationMessage body);

final class CLXNotificationBody {
  final CLXNotificationName name;
  final List<CLXNotificationChannel> listerenList = [];

  CLXNotificationBody({required this.name});

  bool addListen(CLXNotificationChannel listen) {
    if (listerenList.where((element) => element == listen).isEmpty) {
      listerenList.add(listen);
    }
    return true;
  }

  bool removeListen(CLXNotificationChannel listen) {
    listerenList.removeWhere((element) => element == listen);
    return true;
  }

  Future<bool> notify({dynamic object}) async {
    for (final listen in listerenList) {
      await listen.call(CLXNotificationMessage(name: name, object: object));
    }
    return true;
  }
}
